[Unit]
Description=Prometheus Alertmanager (https://github.com/prometheus/alertmanager)
Wants=network-online.target
After=network-online.target

[Service]
User={{ prometheus_user }}
Restart=always
RestartSec=10
TimeoutSec=300

ExecStart={{ alertmanager_exe | quote }} \
    --web.listen-address={{ alertmanager_web_listen_address | quote }} \
    --cluster.listen-address={{ alertmanager_cluster_listen_address | quote }} \
{% if alertmanager_cluster_advertise_address is defined and alertmanager_cluster_listen_address %}
    --cluster.advertise-address={{ alertmanager_cluster_advertise_address | quote }} \
{% endif %}
    --config.file={{ alertmanager_config_file | quote }} \
    --storage.path={{ alertmanager_data_dir | quote }}

ExecReload=/bin/kill -HUP $MAINPID

[Install]
WantedBy=default.target
